Package org.apache.storm.flux.model

# Class VertexDef

java.lang.Object
org.apache.storm.flux.model.ObjectDef
org.apache.storm.flux.model.BeanDef
org.apache.storm.flux.model.VertexDef

Direct Known Subclasses:
  `BoltDef`, `SpoutDef`

public abstract class VertexDef extends BeanDef
Abstract parent class of component definitions. (spouts/bolts)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VertexDef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCpuLoad()`
  `int`
  `getNumTasks()`
  `int`
  `getOffHeapMemoryLoad()`
  `int`
  `getOnHeapMemoryLoad()`
  `int`
  `getParallelism()`
  `void`
  `setCpuLoad(int cpuLoad)`
  `void`
  `setNumTasks(int numTasks)`
  `void`
  `setOffHeapMemoryLoad(int offHeapMemoryLoad)`
  `void`
  `setOnHeapMemoryLoad(int onHeapMemoryLoad)`
  `void`
  `setParallelism(int parallelism)`

  ### Methods inherited from class org.apache.storm.flux.model.BeanDef

  `getId, setId`

  ### Methods inherited from class org.apache.storm.flux.model.ObjectDef

  `getClassName, getConfigMethods, getConstructorArgs, getFactory, getFactoryArgs, getProperties, hasConstructorArgs, hasFactory, hasFactoryArgs, hasReferences, setClassName, setConfigMethods, setConstructorArgs, setFactory, setFactoryArgs, setProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VertexDef

    public VertexDef()

- ## Method Details

  - ### getParallelism

    public int getParallelism()

  - ### setParallelism

    public void setParallelism(int parallelism)

  - ### getNumTasks

    public int getNumTasks()

  - ### setNumTasks

    public void setNumTasks(int numTasks)

  - ### getOnHeapMemoryLoad

    public int getOnHeapMemoryLoad()

  - ### setOnHeapMemoryLoad

    public void setOnHeapMemoryLoad(int onHeapMemoryLoad)

  - ### getOffHeapMemoryLoad

    public int getOffHeapMemoryLoad()

  - ### setOffHeapMemoryLoad

    public void setOffHeapMemoryLoad(int offHeapMemoryLoad)

  - ### getCpuLoad

    public int getCpuLoad()

  - ### setCpuLoad

    public void setCpuLoad(int cpuLoad)